<?php
define('_IN_JOHNCMS', 1);
$headmod = 'manager';
$textl='Стадион'; 
require_once("../incfiles/core.php");
require_once("../incfiles/head.php");
require_once("manfunc.php"); 

$q=mysql_query("select * from fman_clubs where id=$id;");
$a=mysql_fetch_array($q);
switch($act)
{
	default:
	echo"<h2 align='center'>Стадион</h2><br /><img src='img/stadium.png' />
	<div class='menu'>Название: <b>$a[stadion]</b></div>
	<div class='menu'>Город: <b>$a[city]</b></div>
	<div class='menu'>Клуб: <b>$a[name]</b></div>
	<div class='menu'>Вместимость: <b>".number_format($a[stadv],0,',',' ')."</b> мест</div>
	<div class='menu'>Содержание стадиона: $".number_format(($a[stadv]*20),0,',',' ')." в вирт.нед.</div>";
	if($club_id==$id && !$a[stad_ned])echo"<div class='gmenu'>[<a href='stad.php?id=$id&amp;act=rek'>реконструировать</a>]</div>";
	
	if($a[stad_ned] && $club_id==$id)
	{
		echo"<div class='phdr'>Стройка</div>
		<div class='menu'>Стадион: ".number_format($a[stad_work],0,'.',' ')." мест</div>
		<div class='menu'>Окончание работ через $a[stad_ned] вирт.недель</div>";
	}
	break;
	
	case 'rek':
	if(!$_POST[submit])
	{
		echo"<h2 align='center'>Реконструкция стадиона $a[stadion]</h2>
		<form action='stad.php?id=$id&amp;act=rek' method='post'><div class='menu'>Количество мест:<br/><select name='mest'>";
		for($i=1;$i<51;$i++)echo"<option value='$i'>".($i*1000)."</option>";
		echo"</select><br/>Вид работ:<br/><select name='vid'><option value='1'>построить</option><option value='2'>разобрать</option></select><br/>
		<input type='submit' name='submit' value='Реконструировать'/></div>
		<div class='bmenu'>Построить или разобрать 1000 мест стоит $2 мил. Максимальная вместимость арены - 200 тыс. мест. В одну виртуальную неделю рабочие будут строить или разбирать 2000 мест.</div></form>";
	}
	else
	{
		$stoim=$_POST[mest]*2000000;
		if($dataclub[budj]<$stoim)$e="У вас не хватает средств для проведения таких работ на стадионе!";
		if(($dataclub[stadv]+($_POST[mest]*1000))>200000)$e="Максимальная вместимость арены 200 тыс. мест!";
		if($_POST[vid]==2)$_POST[mest]=0-$_POST[mest];
		if(($dataclub[stadv]+($_POST[mest]*1000))<500)$e="Минимальная вместимость арены 500 мест!";
		if($e)echo"<div class='menu'>$e</div>"; else{
		$mest=$_POST[mest];
		mysql_query("update fman_clubs set stad_work=".($a[stadv]+($_POST[mest]*1000)).", stad_ned=".round($mest/2)." where id=$id");

		mysql_query("update fman_clubs set budj=".($dataclub[budj]-$stoim)." where id=$club_id");
		echo"<div class='menu'>Заявка на реконструкцию стадиона принята! Следить за ходом работ вы сможете на странице стадиона.</div>";}
	}

	echo"<div class='phdr'><a href='stad.php?id=$id'>Стадион $a[stadion]</a></div>";
	break;
}
echo"<div class='phdr'><a href='club.php?id=$id'>$a[name]</a><br/><a href='index.php'>Фут.менеджер</a></div>";
require_once("../incfiles/end.php"); 
?>
